<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <base th:href="${#request.getContextPath() + '/'}">
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/fonts/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" type="text/css" href="assets/js/vendor/viewer/viewer.min.css">
</head>
<body>
<div class="layui-fluid layui-anim layui-anim-fadein">
    <div class="layui-card">
        <div class="layui-card-header">
            <span class="layui-breadcrumb" lay-filter="breadcrumb" style="visibility: visible;">
              <a class="close" href="javascript:void(0);">上级列表</a><span lay-separator="">/</span>
              <a href="javascript:void(0);"><cite>编辑内容</cite></a>
            </span>
        </div>
        <div class="layui-card-body" style="padding: 15px;">
            <form class="layui-form layui-form-pane" lay-filter="dataForm">
                <div class="layui-form-item">
                    <label class="layui-form-label">名称<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block">
                        <input type="text" id="lineName" name="lineName" class="layui-input" value="" placeholder="请输入名称"  maxlength="100" lay-verify="required">
                    </div>
                </div>
                <div class="layui-form-item">
                    <input type="hidden" id="lineTypeName" name="lineTypeName" class="layui-input" value="" placeholder="请输入线路类型名称"  maxlength="20">
                    <input type="hidden" id="lineTypeCode" name="lineTypeCode" class="layui-input" value="" placeholder="请输入线路类型编码"  maxlength="2">
                    <label class="layui-form-label">线路类型<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block layui-form" id="lineTypeSelectTemplateBox" lay-filter="lineTypeSelectTemplateBox"></div>
                    <script id="lineTypeSelectTemplate" type="text/html">
                        <select id="lineType" name="lineType" lay-filter="lineType" lay-verify="required" lay-search>
                            <option value="">请选择线路类型</option>
                            {{# for(var i = 0, item; item = d[i++];) { }}
                            <option value="{{item.dataId}},{{item.dataSummary}}">{{item.dataName}}</option>
                            {{# } }}
                        </select>
                    </script>
                </div>
                <div class="layui-form-item layui-row">
                    <div class="layui-col-lg6">
                        <label class="layui-form-label">线路所在地<span style="color: red;vertical-align: middle;">*</span></label>
                        <input type="hidden" id="locationId" name="locationId" class="layui-input" value="" placeholder="请输入一级区域ID"  maxlength="36">
                        <input type="hidden" id="locationCode" name="locationCode" class="layui-input" value="" placeholder="请输入一级区域名称"  maxlength="255">
                        <div class="layui-input-block">
                            <input type="text" id="location" name="location" class="layui-input" value="" placeholder="点击选择所在地"  maxlength="11" lay-verify="required">
                        </div>
                    </div>
                    <div class="layui-col-lg6">
                        <label class="layui-form-label">所属网格<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block layui-form" id="gridSelectTemplateBox" lay-filter="gridSelectTemplateBox"></div>
                        <script id="gridSelectTemplate" type="text/html">
                            <select id="grid" name="grid" lay-filter="grid" lay-verify="required" lay-search>
                                <option value="">请选择网格</option>
                                {{# for(var i = 0, item; item = d[i++];) { }}
                                <option value="{{item.gridId}}">{{item.gridName}}</option>
                                {{# } }}
                            </select>
                        </script>
                    </div>
                </div>
                <div class="layui-form-item layui-row">
                    <div class="layui-col-lg6">
                        <label class="layui-form-label" style="width: 122px;">隶属单位名称<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block" style="margin-left: 122px;">
                            <input type="text" id="subjectionDeptName" name="subjectionDeptName" class="layui-input" value="" placeholder="请输入隶属单位名称"  maxlength="100" lay-verify="required">
                        </div>
                    </div>
                    <div class="layui-col-lg6">
                        <label class="layui-form-label" style="width: 152px;">隶属单位联系方式<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block" style="margin-left: 152px;">
                            <input type="text" id="subjectionDeptPhone" name="subjectionDeptPhone" class="layui-input" value="" placeholder="请输入隶属单位联系方式"  maxlength="50" lay-verify="required">
                        </div>
                    </div>
                </div>
                <div class="layui-form-item layui-row">
                    <div class="layui-col-lg6">
                        <label class="layui-form-label" style="width: 165px;">隶属单位负责人姓名<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block" style="margin-left: 165px;">
                            <input type="text" id="subjectionDeptLinkMan" name="subjectionDeptLinkMan" class="layui-input" value="" placeholder="请输入隶属单位负责人姓名"  maxlength="50" lay-verify="required">
                        </div>
                    </div>
                    <div class="layui-col-lg6">
                        <label class="layui-form-label" style="width: 192px;">隶属单位负责人联系方式<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block" style="margin-left: 192px;">
                            <input type="text" id="subjectionDeptLinkPhone" name="subjectionDeptLinkPhone" class="layui-input" value="" placeholder="请输入隶属单位负责人联系方式"  maxlength="50" lay-verify="required">
                        </div>
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label" style="width: 122px;">隶属单位详址<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block" style="margin-left: 122px;">
                        <input type="text" id="subjectionDeptAddress" name="subjectionDeptAddress" class="layui-input" value="" placeholder="请输入隶属单位祥址"  maxlength="200" lay-verify="required">
                    </div>
                </div>
                <div class="layui-form-item layui-row">
                    <div class="layui-col-lg6">
                        <label class="layui-form-label" style="width: 122px;">管辖单位名称<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block" style="margin-left: 122px;">
                            <input type="text" id="jurisdictionDeptName" name="jurisdictionDeptName" class="layui-input" value="" placeholder="请输入管辖单位名称"  maxlength="100" lay-verify="required">
                        </div>
                    </div>
                    <div class="layui-col-lg6">
                        <label class="layui-form-label" style="width: 151px;">管辖单位联系方式<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block" style="margin-left: 151px;">
                            <input type="text" id="jurisdictionDeptPhone" name="jurisdictionDeptPhone" class="layui-input" value="" placeholder="请输入管辖单位联系方式"  maxlength="50" lay-verify="required">
                        </div>
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label" style="width: 122px;">管辖单位祥址<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block" style="margin-left: 122px;">
                        <input type="text" id="jurisdictionAddress" name="jurisdictionAddress" class="layui-input" value="" placeholder="请输入管辖单位祥址"  maxlength="200" lay-verify="required">
                    </div>
                </div>
                <div class="layui-form-item layui-row">
                    <div class="layui-col-lg6">
                        <label class="layui-form-label"  style="width: 165px;">分管治保负责人姓名<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block" style="margin-left: 165px;">
                            <input type="text" id="chargeLinkMan" name="chargeLinkMan" class="layui-input" value="" placeholder="请输入分管治保负责人姓名"  maxlength="50" lay-verify="required">
                        </div>
                    </div>
                    <div class="layui-col-lg6">
                        <label class="layui-form-label"  style="width: 193px;">分管治保负责人联系方式<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block" style="margin-left: 193px;">
                            <input type="text" id="chargeLinkPhone" name="chargeLinkPhone" class="layui-input" value="" placeholder="请输入分管治保负责人联系方式"  maxlength="50" lay-verify="required">
                        </div>
                    </div>
                </div>
                <div class="layui-form-item">
                    <input type="hidden" id="situationLevelName" name="situationLevelName" class="layui-input" value="" placeholder="请输入治安隐患等级名称"  maxlength="20">
                    <input type="hidden" id="situationLevelCode" name="situationLevelCode" class="layui-input" value="" placeholder="请输入治安隐患等级编码"  maxlength="2">
                    <label class="layui-form-label" style="width: 122px;">治安隐患等级<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block layui-form" style="margin-left: 122px;" id="situationLevelSelectTemplateBox" lay-filter="situationLevelSelectTemplateBox"></div>
                    <script id="situationLevelSelectTemplate" type="text/html">
                        <select id="situationLevel" name="situationLevel" lay-filter="situationLevel" lay-verify="required" lay-search>
                            <option value="">请选择治安隐患等级</option>
                            {{# for(var i = 0, item; item = d[i++];) { }}
                            <option value="{{item.dataId}},{{item.dataSummary}}">{{item.dataName}}</option>
                            {{# } }}
                        </select>
                    </script>
                </div>
                <div class="layui-form-item layui-form-text">
                    <label class="layui-form-label">治安隐患情况</label>
                    <div class="layui-input-block">
                        <div id="securitySituation"></div>
                    </div>
                </div>
                <div class="layui-form-item layui-layout-admin">
                    <div class="layui-input-block">
                        <div class="layui-footer" style="left: 0;">
                            <button type="button" class="layui-btn" lay-submit lay-filter="submitForm">提交新增</button>
                            <button type="button" class="layui-btn layui-btn-primary close">返回上级</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<script src="assets/js/vendor/wangEditor/wangEditor.min.js"></script>
<script src="assets/js/vendor/ckplayer/ckplayer/ckplayer.js"></script>
<script src="assets/js/vendor/viewer/viewer.min.js"></script>
<script src="assets/layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: 'assets/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form', 'laydate', 'laytpl'], function(){
        var $ = layui.$;
        var form = layui.form;
        var laytpl = layui.laytpl;
        var laydate = layui.laydate;
        var lineId = top.restAjax.params(window.location.href).lineId;

        var wangEditor = window.wangEditor;
        var wangEditorObj = {};
        var viewerObj = {};

        // 选择所在地
        $(document).on('click', '#location', function() {
            top.dialog.open({
                title: '选择地区',
                url: top.restAjax.path('route/mongo/area/get-select?areaName={areaName}', [encodeURI($('#location').val())]),
                width: '800px',
                height: '225px',
                onClose: function () {
                    var selectedAreaArray = top.dialog.dialogData.selectedAreaArray;
                    var areaCode = '';
                    var areaName = '';
                    if (selectedAreaArray.length > 0) {
                        areaCode = selectedAreaArray[selectedAreaArray.length - 1].areaCode;
                        for (var i = 0, item; item = selectedAreaArray[i++];) {
                            if (areaName) {
                                areaName += ',';
                            }
                            areaName += item.areaName;
                        }
                        $('#locationCode').val(areaCode);
                        $('#location').val(areaName);
                    }
                    initGridSelect(areaCode);
                }
            })
        });

        // 初始化地区网格
        function initGridSelect(areaCode, selectValue) {
            if(!areaCode) {
                laytpl(document.getElementById('gridSelectTemplate').innerHTML).render([], function(html) {
                    document.getElementById('gridSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'gridSelectTemplateBox');
                return;
            }
            top.restAjax.get(top.restAjax.path('api/grid/grid-list/{areaCode}', [areaCode]), {}, null, function(code, data, args) {
                laytpl(document.getElementById('gridSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('gridSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'gridSelectTemplateBox');

                var selectObj = {};
                selectObj['grid'] = selectValue;
                form.val('dataForm', selectObj);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }


        // 初始化备注富文本
        function initSecuritySituationRichText(value) {
            var editor = new wangEditor('#securitySituation');
            editor.customConfig.zIndex = 0;
            editor.customConfig.uploadImgMaxSize = 5 * 1024 * 1024;
            editor.customConfig.uploadImgMaxLength = 1;
            editor.customConfig.uploadFileName = 'image';
            editor.customConfig.uploadImgServer = 'api/file/wangeditorimage';
            editor.customConfig.uploadImgHooks = {
                fail: function (xhr, editor, result) {
                    top.dialog.msg('系统错误，图片上传失败');
                },
                error: function (xhr, editor) {
                    top.dialog.msg('网络异常');
                },
                timeout: function (xhr, editor) {
                    top.dialog.msg('网络请求超时');
                }
            };
            editor.create();
            editor.txt.html(value);
            wangEditorObj['securitySituation'] = editor;
        }

        // 线路类型change事件
        form.on('select(lineType)', function(data){
            if(!data.value) {

            }else {
                var valueArr = data.value.split(',');
                if(2 == valueArr.length) {
                    var text = $('#lineType option:selected').text();
                    $('#lineType option:selected').val(valueArr[0]);
                    $('#lineTypeName').val(text);
                    $('#lineTypeCode').val(valueArr[1]);
                }
            }
            form.render("select");
        });

        // 治安隐患等级change事件
        form.on('select(situationLevel)', function(data){
            if(!data.value) {

            }else {
                var valueArr = data.value.split(',');
                if(2 == valueArr.length) {
                    var text = $('#situationLevel option:selected').text();
                    $('#situationLevel option:selected').val(valueArr[0]);
                    $('#situationLevelName').val(text);
                    $('#situationLevelCode').val(valueArr[1]);
                }
            }
            form.render("select");
        });

        function closeBox() {
            parent.layer.close(parent.layer.getFrameIndex(window.name));
        }

        // 初始化线路类型字典表ID下拉选择
        function initLineTypeSelect(selectValue) {
            top.restAjax.get(top.restAjax.path('api/mongo/data/list-all/parent-id/{dataParentId}', ['e5878be6-46f9-4c66-bec1-12bee1b798ac']), {}, null, function(code, data, args) {
                laytpl(document.getElementById('lineTypeSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('lineTypeSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'lineTypeSelectTemplateBox');

                var selectObj = {};
                selectObj['lineType'] = selectValue;
                form.val('dataForm', selectObj);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化治安隐患等级字典表ID下拉选择
        function initSituationLevelSelect(selectValue) {
            top.restAjax.get(top.restAjax.path('api/mongo/data/list-all/parent-id/{dataParentId}', ['318d7755-bc2b-4a4f-a029-84baafec5fbc']), {}, null, function(code, data, args) {
                laytpl(document.getElementById('situationLevelSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('situationLevelSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'situationLevelSelectTemplateBox');

                var selectObj = {};
                selectObj['situationLevel'] = selectValue;
                form.val('dataForm', selectObj);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化内容
        function initData() {
            var loadLayerIndex;
            top.restAjax.get(top.restAjax.path('api/line/get/{lineId}', [lineId]), {}, null, function(code, data) {
                var dataFormData = {};
                for(var i in data) {
                    dataFormData[i] = data[i] +'';
                }
                form.val('dataForm', dataFormData);
                form.render(null, 'dataForm');
                initLineTypeSelect(data['lineType'] + ',' + data['lineTypeCode']);
                initSituationLevelSelect(data['situationLevel'] + ',' + data['situationLevelCode']);
                initSecuritySituationRichText(data['securitySituation']);
                initGridSelect(data['locationCode'], data['grid']);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            }, function() {
                loadLayerIndex = top.dialog.msg(top.dataMessage.loading, {icon: 16, time: 0, shade: 0.3});
            }, function() {
                top.dialog.close(loadLayerIndex);
            });
        }

        initData();

        function changeFun(value, id, formData) {
            var valueArr = value.split(',');
            if(2 == valueArr.length) {
                var name = $('#' + id + 'option:selected').text();
                formData.field[id] = valueArr[0];
                $('#' + id + 'Name').val(name);
                $('#' + id + 'Code').val(valueArr[1]);
            }
        }
        
        // 提交表单
        form.on('submit(submitForm)', function(formData) {
            changeFun(formData.field['lineType'], 'lineType', formData);
            changeFun(formData.field['situationLevel'], 'situationLevel', formData);
            var securitySituation = wangEditorObj['securitySituation'].txt.text().trim();
            if(securitySituation === '') {

            }else {
                formData.field['securitySituation'] = wangEditorObj['securitySituation'].txt.html();
            }
            top.dialog.confirm(top.dataMessage.commit, function(index) {
                top.dialog.close(index);
                var loadLayerIndex;
                top.restAjax.put(top.restAjax.path('api/line/update/{lineId}', [lineId]), formData.field, null, function(code, data) {
                    var layerIndex = top.dialog.msg(top.dataMessage.updateSuccess, {
                        time: 0,
                        btn: [top.dataMessage.button.yes, top.dataMessage.button.no],
                        shade: 0.3,
                        yes: function(index) {
                            top.dialog.close(index);
                            window.location.reload();
                        },
                        btn2: function() {
                            closeBox();
                        }
                    });
                }, function(code, data) {
                    top.dialog.msg(data.msg);
                }, function() {
                    loadLayerIndex = top.dialog.msg(top.dataMessage.committing, {icon: 16, time: 0, shade: 0.3});
                }, function() {
                    top.dialog.close(loadLayerIndex);
                });
            });
            return false;
        });

        $('.close').on('click', function() {
            closeBox();
        });

        // 校验
        form.verify({
        });
    });
</script>
</body>
</html>